LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices


Reply
  Search this Thread
Old 08-27-2004, 06:10 AM   #1
phenderson
LQ Newbie
 
Registered: May 2004
Posts: 3

Rep: Reputation: 0
Installing i386 rpms on AMD64 install


Hi

System
FC2 AMD64


I've been trying for a couple of days to get pgadmin3 working. So far all my attempts to rebuild the rpm have failed, along with my attempts to build from source.

So I though maybe I can simply install the i386(686 in this instance) build.
The rpm installs fine BUT dies when i run it (which maybe beacause i hacked wxWindows)


My Question is.
In general. should I be able to install/run i386 rpms without problem on FC2 AMD64?

Any tips from people who have are appreciated.

Peter Henderson




Errors when running pgadmin3
=========================================
[root@amd64 pgadmin3]# pgadmin3

(pgadmin3:24100): Gtk-WARNING **: Unable to locate theme engine in module_path: "bluecurve",

(pgadmin3:24100): GdkPixbuf-WARNING **: Error loading XPM image loader: Unable to load image-loading module: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so: cannot open shared object file: No such file or directory

(pgadmin3:24100): Gtk-WARNING **: Error loading icon: Unable to load image-loading module: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory

(pgadmin3:24100): Gtk-WARNING **: Error loading icon: Unable to load image-loading module: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory

(pgadmin3:24100): Gtk-WARNING **: Error loading icon: Unable to load image-loading module: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory

(pgadmin3:24100): Gtk-WARNING **: Error loading icon: Unable to load image-loading module: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory

(pgadmin3:24100): GdkPixbuf-WARNING **: Error loading XPM image loader: Unable to load image-loading module: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so: cannot open shared object file: No such file or directory

(pgadmin3:24100): GdkPixbuf-WARNING **: Error loading XPM image loader: Unable to load image-loading module: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so: /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so: cannot open shared object file: No such file or directory
pgadmin3: error while loading shared libraries: pgadmin3: undefined symbol: _gtk_accel_group_attach
 
Old 08-27-2004, 10:34 AM   #2
jailbait
LQ Guru
 
Registered: Feb 2003
Location: Blue Ridge Mountain
Distribution: Linux Mint 17, Debian 8
Posts: 7,865

Rep: Reputation: 311Reputation: 311Reputation: 311Reputation: 311
"My Question is.
In general. should I be able to install/run i386 rpms without problem on FC2 AMD64?"

No. In general you have to have all programs compiled by the same version of gcc.

----------------------------
Steve Stites
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
how to install ...i386.deb on amd64? caminoix Linux - Newbie 5 03-25-2011 10:31 AM
Fedora 4 i386 on AMD64 shaobohou Linux - General 1 10-27-2005 02:38 PM
redhat based rpm Rpms i386 why not i686?? SSBN Linux - Software 9 06-26-2005 08:17 PM
i386 on AMD64 MOBO. Which Nvidia drivers? Andknig Linux - Newbie 2 04-21-2005 04:22 AM
i386 rpms everywhere!!!! e1v!$ Linux - Newbie 6 07-17-2003 05:06 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora

All times are GMT -5. The time now is 02:26 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration